Loading...
Searching...
No Matches
MArrayLogical.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/tables/TaQL/MArrayMathBase.h>`
`#include <casacore/casa/Arrays/ArrayLogical.h>`
`#include <casacore/casa/Arrays/ArrayPartMath.h>`
`#include <casacore/casa/BasicMath/Functors.h>`

Go to the source code of this file.

## Classes

struct | casacore::MArrayLogical_global_functions_MArray_logical_operations
| More...
class | casacore::MArrayLogical_global_functions_MArray_logical_operations::MNTrueFunc< T, RES >
| Define functors to perform a reduction function on an MArray object. More...
class | casacore::MArrayLogical_global_functions_MArray_logical_operations::MNFalseFunc< T, RES >
class | casacore::MArrayLogical_global_functions_MArray_logical_operations::MAllFunc< T >
class | casacore::MArrayLogical_global_functions_MArray_logical_operations::MAnyFunc< T >

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines